> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accounts

> Get accounts for postings.

<sup>Required permissions: `accounting:accounts:read`</sup>



## OpenAPI

````yaml get /accounting/accounts
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /accounting/accounts:
    parameters: []
    get:
      tags:
        - Accounting
      summary: Get accounts
      description: |-
        Get accounts for postings.

        <sup>Required permissions: `accounting:accounts:read`</sup>
      operationId: getAccountingAccounts
      parameters: []
      responses:
        '200':
          description: AccountingAccount collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/AccountingAccount-AccountingAccountRead
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountingAccount-AccountingAccountRead'
      deprecated: false
      security:
        - JWT:
            - accounting:accounts:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /accounting/accounts \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    AccountingAccount-AccountingAccountRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/AccountId-AccountingAccountRead'
          readOnly: true
          example: f3b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b
        name:
          description: Account name used for internal labeling.
          example: Bankkonto
          type:
            - string
            - 'null'
        number:
          description: Account number from your used skr 03 or skr 04 chart of accounts.
          example: '1200'
          type: string
        type:
          readOnly: true
          description: Type of account which references to the chart of accounts.
          example: revenueGermany
          type: string
          enum:
            - bankAccount
            - ledgerAccount
            - revenueGermany
            - revenueGermanyReduced
            - salesDeductionAccount
            - revenueEurope
            - revenueTaxFree
            - bankFees
            - passiveDeferral
            - debtor
            - paypal
            - stripe
            - sepaDebit
            - goCardless
    AccountId-AccountingAccountRead:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````